import { jsx as e } from "react/jsx-runtime";
import { c as n } from "../../../index-UgeK3A8s.js";
import { cn as a } from "../../../lib/utils.js";
const l = n(
  "relative inline-flex shrink-0 items-center justify-center rounded-2xl p-[2px] [&_svg]:shrink-0",
  {
    variants: {
      size: {
        sm: "size-12 [&_svg]:size-5",
        md: "size-16 [&_svg]:size-7",
        lg: "size-20 [&_svg]:size-9",
        xl: "size-28 [&_svg]:size-12"
      }
    },
    defaultVariants: {
      size: "lg"
    }
  }
);
function u({ children: s, className: i, size: r, ...t }) {
  return /* @__PURE__ */ e(
    "span",
    {
      className: a(l({ size: r, className: i })),
      "data-slot": "flow-hub",
      ...t,
      children: /* @__PURE__ */ e("span", { className: "flex size-full items-center justify-center rounded-[16px] bg-foreground text-background", children: s })
    }
  );
}
export {
  u as FlowHub,
  l as flowHubVariants
};
